important robustness fix
[ikiwiki.git] / doc / install.mdwn
1 The easiest way to install ikiwiki is using the Debian package.
2
3 Ikiwiki is a perl program, and needs a recent version of perl such as
4 5.8.8. (5.8.0 has been reported not to work).
5
6 Ikiwiki requires [[MarkDown]] and the `HTML::Parser` perl module be
7 installed, and also uses the following perl modules if available: 
8 `CGI::Session` `CGI::FormBuilder` (version 3.02.02 or newer)
9 `HTML::Template` `Mail::Sendmail` `Time::Duration` `Date::Parse`,
10 `HTML::Scrubber`, `RPC::XML`, `XML::Simple`, `XML::Feed`.
11
12 Various [[plugins]] use other libraries and utlities; see their individual
13 documentation for details.
14
15 If you're installing MarkDown by hand, note that it should be installed as
16 `Markdown.pm` somewhere in perl's module search path, or alternately as
17 `/usr/bin/markdown`. Ikiwiki will find it under either name.
18
19 If you want to install from the tarball, you should make sure that the
20 required perl modules are installed, then run:
21
22         perl Makefile.PL
23         make
24         make test # optional
25         make install
26
27 See [[download]] for where to get it.